import * as v from 'valibot';
import { ClaimsQueryResult } from '../claims-query/v-claims-query-result.js';
import { CredentialQuery } from './v-credential-query.js';
export var CredentialQueryResult;
(function (CredentialQueryResult) {
    CredentialQueryResult.vParseResult = v.union([
        v.object({
            areRequiredClaimsPresent: v.literal(true),
            output: v.record(v.string(), v.unknown()),
        }),
        v.object({
            areRequiredClaimsPresent: v.literal(false),
            output: v.unknown(),
        }),
    ]);
    CredentialQueryResult.vQueryResult = v.array(CredentialQueryResult.vParseResult);
    CredentialQueryResult.vMdoc = v.object({
        ...CredentialQuery.vMdoc.entries,
        claims: v.optional(v.pipe(v.array(v.omit(ClaimsQueryResult.vModelMdoc, [
            'isOptional',
            'isRequiredIfPresent',
        ])), v.nonEmpty())),
        claim_sets_results: v.array(CredentialQueryResult.vQueryResult),
        isOptional: v.boolean(),
    });
    const vW3cSdJwtVcBase = v.object({
        claims: v.optional(v.pipe(v.array(v.omit(ClaimsQueryResult.vW3cSdJwtVc, [
            'isOptional',
            'isRequiredIfPresent',
        ])), v.nonEmpty())),
        claim_sets_results: v.array(CredentialQueryResult.vQueryResult),
        isOptional: v.boolean(),
    });
    CredentialQueryResult.vSdJwtVc = v.object({
        ...CredentialQuery.vSdJwtVc.entries,
        ...vW3cSdJwtVcBase.entries,
    });
    CredentialQueryResult.vW3c = v.object({
        ...CredentialQuery.vW3c.entries,
        ...vW3cSdJwtVcBase.entries,
    });
    CredentialQueryResult.vModel = v.variant('format', [CredentialQueryResult.vMdoc, CredentialQueryResult.vSdJwtVc, CredentialQueryResult.vW3c]);
})(CredentialQueryResult || (CredentialQueryResult = {}));
//# sourceMappingURL=v-credential-query-result.js.map