import * as v from 'valibot';
export const idRegex = /^[a-zA-Z0-9_-]+$/;
export const claimSetIdRegex = /^[a-zA-Z0-9_\-?!]+$/;
export const credentialSetIdRegex = /^[a-zA-Z0-9_\-?]+$/;
export const vCredentialFormat = v.picklist([
    'mso_mdoc',
    'vc+sd-jwt',
    'jwt_vc_json',
    'jwt_vc_json-ld',
]);
export const getIdMetadata = (credentialId) => {
    const isOptional = credentialId.endsWith('?');
    const isRequiredIfPresent = credentialId.endsWith('?!');
    const baseId = isOptional
        ? credentialId.slice(0, -1)
        : isRequiredIfPresent
            ? credentialId.slice(0, -2)
            : credentialId;
    return {
        isOptional,
        isRequiredIfPresent,
        baseId,
    };
};
//# sourceMappingURL=u-query.js.map